Return a list of all the deployed services and its details.

Permission Level: Read

GET /workertenant/v1/deployments

Operation id: WorkerTenantService_ListDeployments

Tags: WorkerTenantService

Parameters

Query parameters

NameTypeRequiredDescription
namespacestringNoGKE namespace, e.g. "default", to be queried for its deployments, Required: true
tenantRequestKeystringNoWorker Tenant Service instances must communicate with the Control Plane Tenant instance, but the Workers are in different service meshes, so they can't communicate directly. This field provides the key to a Google Managed Secret that allows that inter-mesh communication

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
deploymentMessagearrayNo
cachedAtTimestampstring (date-time)No
{
  "type": "object",
  "properties": {
    "deploymentMessage": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "deploymentName": {
            "type": "string"
          },
          "semanticVersion": {
            "type": "string"
          },
          "availableReplicas": {
            "type": "integer",
            "format": "int32"
          },
          "unavailableReplicas": {
            "type": "integer",
            "format": "int32"
          },
          "conditions": {
            "type": "array",
            "items": {
              "type": "object"
            }
          }
        }
      }
    },
    "cachedAtTimestamp": {
      "type": "string",
      "format": "date-time"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}